# LogViewer [![Packagist License][badge_license]](LICENSE.md) [![For Laravel 5][badge_laravel]](https://github.com/ARCANEDEV/LogViewer#logviewer)

[![Travis Status][badge_build]](https://travis-ci.org/ARCANEDEV/LogViewer)
[![HHVM Status][badge_hhvm]](http://hhvm.h4cc.de/package/arcanedev/log-viewer)
[![Coverage Status][badge_coverage]](https://scrutinizer-ci.com/g/ARCANEDEV/LogViewer/?branch=master)
[![Scrutinizer Code Quality][badge_quality]](https://scrutinizer-ci.com/g/ARCANEDEV/LogViewer/?branch=master)
[![SensioLabs Insight][badge_insight]](https://insight.sensiolabs.com/projects/d6b4587a-e00d-4dac-98db-f979731fdc4d)
[![Github Issues][badge_issues]](https://github.com/ARCANEDEV/LogViewer/issues)

[![Packagist][badge_package]](https://packagist.org/packages/arcanedev/log-viewer)
[![Packagist Release][badge_release]](https://packagist.org/packages/arcanedev/log-viewer)
[![Packagist Downloads][badge_downloads]](https://packagist.org/packages/arcanedev/log-viewer)

[badge_laravel]:   https://img.shields.io/badge/for%20Laravel-5.0%7C5.1-orange.svg?style=flat-square
[badge_license]:   https://img.shields.io/packagist/l/arcanedev/log-viewer.svg?style=flat-square

[badge_build]:     https://img.shields.io/travis/ARCANEDEV/LogViewer.svg?style=flat-square
[badge_hhvm]:      https://img.shields.io/hhvm/arcanedev/log-viewer.svg?style=flat-square
[badge_coverage]:  https://img.shields.io/scrutinizer/coverage/g/ARCANEDEV/LogViewer.svg?style=flat-square
[badge_quality]:   https://img.shields.io/scrutinizer/g/ARCANEDEV/LogViewer.svg?style=flat-square
[badge_insight]:   https://img.shields.io/sensiolabs/i/d6b4587a-e00d-4dac-98db-f979731fdc4d.svg?style=flat-square
[badge_issues]:    https://img.shields.io/github/issues/ARCANEDEV/LogViewer.svg?style=flat-square

[badge_package]:   https://img.shields.io/badge/package-arcanedev/log--viewer-blue.svg?style=flat-square
[badge_release]:   https://img.shields.io/packagist/v/arcanedev/log-viewer.svg?style=flat-square
[badge_downloads]: https://img.shields.io/packagist/dt/arcanedev/log-viewer.svg?style=flat-square

*By [ARCANEDEV&copy;](http://www.arcanedev.net/)*

This package allows you to manage and keep track of each one of your logs files stored under `storage_path('logs')`. Minimal configuration required.

 > NOTE: You can also use LogViewer as an API.

Official documentation for LogViewer can be found at the [LogViewer Wiki](https://github.com/ARCANEDEV/LogViewer/wiki).

Feel free to check out the [releases](https://github.com/ARCANEDEV/LogViewer/releases), [license](https://github.com/ARCANEDEV/LogViewer/blob/master/LICENSE.md), and [contribution guidelines](https://github.com/ARCANEDEV/LogViewer/blob/master/CONTRIBUTING.md).

## Features

  - A great Log viewer API. 
  - Ready to use (Views, Routes, controllers &hellip; Out of the box) [Note: No need to publish assets]
  - View, paginate, filter, download and delete logs.
  - Generate logs menu/tree (With localized levels).
  - Grouped logs by dates and levels.
  - Works great with big logs !!
  - Well tested (100% code coverage with maximum code quality).
  
## Table of contents

1. [Requirements](https://github.com/ARCANEDEV/LogViewer/wiki/1.-Requirements)
2. [Installation and Setup](https://github.com/ARCANEDEV/LogViewer/wiki/2.-Installation-and-Setup)
3. [Configuration](https://github.com/ARCANEDEV/LogViewer/wiki/3.-Configuration)
4. [Usage](https://github.com/ARCANEDEV/LogViewer/wiki/4.-Usage)
5. [Extras](https://github.com/ARCANEDEV/LogViewer/wiki/5.-Extras)
6. [FAQ](https://github.com/ARCANEDEV/LogViewer/wiki/6.-FAQ)

### Supported localizations

 > Dear artisans, i'm counting on you to help me to add more translations ( ^_^)b

* ar - Arabic.
* de - German.
* en - English.
* es - Spanish.
* fr - French.
* it - Italian.
* nl - Dutch.
* sv - Swedish.

### ONGOING

  - [ ] Log viewer CLI.
  - [ ] Log viewer Statistics & Charts.
  - [ ] Complete the documentation + Examples (Wiki).

### TODOS

  - [ ] Adding more localizations.
  - [ ] Adding a dummy logs generator ??

### DONE

  - [x] Well documented package (IDE Friendly).
  - [x] 100% Code coverage + Maximum code quality. 
  - [x] Localized log levels.
  - [x] Laravel 5.1 supported.
  - [x] Laravel 5.0 supported.
  - [x] Log viewer menu/tree.
  - [x] Logs and Log entries pagination.
  - [x] Download the log file.
  - [x] Customized log levels icons (font awesome).

## Contribution

Any ideas are welcome. Feel free to submit any issues or pull requests, please check the [contribution guidelines](https://github.com/ARCANEDEV/LogViewer/blob/master/CONTRIBUTING.md).

## PREVIEW

![Dashboard](https://raw.githubusercontent.com/ARCANEDEV/LogViewer/master/_screenshots/1-dashboard.jpg)
![Logs list](https://raw.githubusercontent.com/ARCANEDEV/LogViewer/master/_screenshots/2-logs-list.jpg)
![Single log](https://raw.githubusercontent.com/ARCANEDEV/LogViewer/master/_screenshots/3-single-log.jpg)
